/*
 * cmdline.cpp - The command line parsing module of the ray tracer
 */

/* The list of all possible options
 */

char* options[] = { "-o", /* Output file option */
					"--outputfile", /* Output file option */
					"-w", /* Image width option */
					"--width", /* Image width option */
				    "-h", /* Image height option */
					"--height", /* Image height option */
					"-a", /* Enable antialiasing option */
					"--enable-antialiasing", /* Enable antialiasing option */
					"-b", /* Enable bounding volume optimization option */
					"--enable-bvolumes", /* enable bounding volume optimization option */
					"-s", /* Enable shadow ray optimization */
					"--enable-shadow-trace", /* Enable shadow ray optimization */ 
					"-v", /* Enable verbose messages */
					"--verbose", /* Enable verbose messages */
					"-d", /* Enable debug messages */
					"--debug" /* Enable debug messages */
};

