// color.cpp - Constructors for color struct

#include "color.h"
#include "wrappers.h"

Color::Color( double r, double g, double b ) 
{
	red = r ;
	green = g ;
	blue = b ;
}

Color::Color( const Color &col ) 
{
	red = col.red ;
	green = col.green ;
	blue = col.blue ;
}

/* Constructor from wrapper C struct */
Color::Color( const __wrap_Color &col )
{
	red = col.red ;
	green = col.green ;
	blue = col.blue ;
}
