// struct definition for Color - color.h

#ifndef __COLOR_H
#define __COLOR_H

/* Wrapper C struct forward declaration */
struct __wrap_Color ;

class Color
{
	public:
	double red ;
	double green ;
	double blue ;

	Color() { red = green = blue = 0 ; }
	Color( double r, double g, double b ) ;
	Color( const Color &col ) ;
	Color( const __wrap_Color &col ) ;
};

#endif
