// class definitions for Light classes - light.cpp

#include "light.h"

// Simple constructor for the AmbientLight class
AmbientLight::AmbientLight( double r, double g, double b )
{
	red = r ;
	green = g ;
	blue = b ;
}

// Simple constructor for the Pointlight class
PointLight::PointLight( Vector3D v, double r, double g, double b )
{
	red   = r ;
	green = g ;
	blue  = b ;
	light_vector = v ;
}

// Simple constructor for the Pointlight class
DirectionalLight::DirectionalLight( Vector3D v, double r, double g, double b )
{
	red   = r ;
	green = g ;
	blue  = b ;
	light_vector = Vector3D::normalize(v) ;
}
