// Defines various 3D transformations

#ifndef __TRANSFORMS_H
#define __TRANSFORMS_H

#include "vector3D.h"

#define scale( c, Sx, Sy, Sz, p ) Vector3D( c.x + Sx * (p.x - c.x), c.y + Sy * (p.y - c.y), c.z + Sz * (p.z - c.z) )
#define scale_dir( Sx, Sy, Sz, d ) Vector3D( Sx * d.x, Sy * d.y, Sz * d.z )

#endif
